//
//  RadioSharkDriver.h
//  RadioTest
//
//  Created by Corey Stevens on 8/9/2010.
//  Copyright 2010 Starchaser Technology. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <STCRadioController/RadioDriver.h>
#import <IOKit/hid/IOHIDLib.h>
#import <QTKit/QTKit.h>


const static unsigned int SHARK_VENDID=0x077d;/* Griffin's Vendor ID */
const static unsigned int SHARK_DEVID=0x627a;/* The radioSHARK's Device ID */

const static unsigned int READ_EP=0x5;/* libhid read command? */
const static unsigned int WRITE_EP=0x5;/* libhid write command? */
const static unsigned int SEND_PACKET_LENGTH= 7;/* size of an instruction packet: shark2=7 */



@interface RadioSharkDriver : RadioDriver {
	
	//unsigned int Griffin_Vendor_ID ;  /* Griffin's Vendor ID */
	//unsigned int RadioShark_Device_ID;  /* The radioSHARK's Device ID */
	//unsigned int READ_EP;  /* libhid read command? */
	//unsigned int WRITE_EP;  /* libhid write command? */
	//unsigned int SEND_PACKET_LENGTH;  /* size of an instruction packet: shark2=7 */
	
	IOHIDManagerRef RadioSharkHIDManager;
	IOHIDDeviceRef RadioSharkDevice;
	
	int RadioSharksFound;
	
	QTCaptureDevice *radioSharkDevice;
	QTCaptureDeviceInput *radioSharkDeviceInput;
	QTCaptureSession *radioSharkCaptureSession;
	QTCaptureAudioPreviewOutput *defaultOutput;
	
	
}


-(RadioSharkDriver*)initWithController:(id)theController;

+(RadioSharkDriver*)RadioDriverWithController:(id)theController;

-(BOOL)supportedHardwareFound;

-(void)powerOn;
-(void)powerOff;

-(void)setSelectedBand:(RCRadioBand)newBand;


-(void)tuneToStation:(double)station Band:(RCRadioBand)band;
@end
